<odoo>
<record id="transaction_list" model="ir.ui.view">
        <field name="name">transaction_list.form.inherit.kalachakra</field>
        <field name="model">payment.transaction</field>
        <field name="inherit_id" ref="payment.transaction_list" />
        <field name="arch" type="xml">
        <xpath expr="//field[@name='reference']" position="after">
        <field name="reference2"/>
        
        </xpath>
        </field>
</record>
</odoo>